This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 700106 - network interface renaming causes udev-settle to timeout
network interface renaming causes udev-settle to timeout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 09:41 EDT by Stephen Gallagher
Modified: 2012-08-07 15:10 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:10:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg log with debug information (123.54 KB, text/plain)
2011-04-27 09:41 EDT, Stephen Gallagher
no flags Details

  None (edit)
Description Stephen Gallagher 2011-04-27 09:41:17 EDT
Created attachment 495233 [details]
dmesg log with debug information

Description of problem:
sgallagh - 2011-04-26 15:07:01
This causes update causes a lot of boot issues for me. Previously my boot took ~12 seconds. With this update, it takes more than a minute before I am prompted for my filesystem crypto password, and then after that it takes another minute to reach the login screen. About one time in four, it freezes and never reaches the login screen.
lennart - 2011-04-27 00:43:42
sgallagh, can you please file a bug, and include the output of "dmesg" when booting with "systemd.log_level=debug" and "systemd.log_target=kmsg" after the boot finished? 

Version-Release number of selected component (if applicable):
systemd-25-1.fc15.x86_64

How reproducible:
The time delay is consistent. I can't reproduce the total freeze consistently. I think I overstated the 25% though. It's less frequent than that.

Steps to Reproduce:
1. Boot with systemd-25 and an encrypted home dir (not encrypted root dir)
  
Actual results:
Much slower than version 24, occasionally hangs completely (or at least so long that it outlasts my patience.

Expected results:
Equivalent or better performance than version 24.

Additional info:
Comment 1 Michal Schmidt 2011-04-27 10:17:03 EDT
[Adding Harald to CC because of the udev-indicated problem]

The beginning of the log is lost. Next time please add "log_buf_len=1M".

udev-settle took a long time. It's somehow related to the network interface naming problem:

[    5.429280] udev[463]: renamed network interface eth1 to eth1-eth0
...
[   95.637067] udevd-work[463]: error changing net interface name eth1-eth0 to eth0: File exists
...
[   95.699085] systemd[1]: Job udev-settle.service/start finished, result=done


And there's also something wrong with your wireless card/driver:
[  112.647958] iwl3945 0000:03:00.0: Microcode SW error detected. Restarting 0x82000008.
(This one looks like bug 683571.)


I see three network interfaces mentioned in the log:
 - PCI 0000:00:19.0, Ethernet e1000e
 - PCI 0000:03:00.0, WiFi iwl3945
 - USB Ethernet ipheth (iPhone)
Is it reproducible with the iPhone disconnected?
Comment 2 Lennart Poettering 2011-04-27 10:53:49 EDT
Yupp, looks like a problem with some udev rule.

And the iphone-set-info tool is segfaulting:

[    6.809499] iphone-set-info[561]: segfault at 8 ip 000000389ce82971 sp 00007fffc49613c8 error 4 in libc-2.13.90.so[389ce00000+192000]
[    6.810084] systemd[1]: Received SIGCHLD from PID 561 (iphone-set-info).
[    6.810121] systemd[1]: Got SIGCHLD for process 561 (iphone-set-info)
[    6.810184] systemd[1]: Child 561 died (code=killed, status=11/SEGV)

The 1:30min wasted are the udev default timeout.
Comment 3 Harald Hoyer 2011-04-27 10:54:20 EDT
[   95.637067] udevd-work[463]: error changing net interface name eth1-eth0 

yes, I could fix this with an udev update!
Comment 4 Lennart Poettering 2011-04-27 10:54:28 EDT
Stephen, any chance you could undo the negative bodhi voting of yours?
Comment 5 Stephen Gallagher 2011-04-27 11:09:22 EDT
(In reply to comment #4)
> Stephen, any chance you could undo the negative bodhi voting of yours?

I'm a little confused why downgrading systemd back to version 24 didn't experience this problem, though.

I can't undo my negative vote, I can only change it to a positive vote. I'm not sure I'm ready to do this without an answer to the above.
Comment 6 Lennart Poettering 2011-04-27 18:34:39 EDT
Stephen, can't you downgrade it to neutral at least?
Comment 7 Stephen Gallagher 2011-04-28 07:45:27 EDT
(In reply to comment #6)
> Stephen, can't you downgrade it to neutral at least?

Bodhi doesn't support this. Once karma is given, I can only toggle it from negative to positive (or vice-versa). I have switched it to positive now, since I had a chance to test this morning without the iPhone plugged in for charging.

It was just a coincidence I guess that I had it plugged in when testing -25 but not when using -24.
Comment 8 Vasiliy Glazov 2011-07-13 02:12:06 EDT
The problem is still exist.
Then it will be solve?
Comment 9 Fedora Admin XMLRPC Client 2011-10-20 12:08:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-10-20 12:10:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-10-20 12:12:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-10-20 12:17:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2012-08-07 15:10:07 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.